import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';


const csvUrl =
  'https://gist.githubusercontent.com/vigneswaran009/f7c2f4b563cb0862592f41ee96a87c9d/raw/5e75f5424a556cd1b83becd76e7ee3526d2cfdd8/worldcities_clean.csv';

export const useCities = () => {
  const [data, setData] = useState(null);

  console.log(data);
  useEffect(() => {
   
    
    
    json(jsonUrl).then(topology => {
     const { countries } = topology.objects;
   
    setData({
      countries: feature(topology, countries),
      interiors: mesh(topology, countries, (a,b)=> a !== b  )
    }); 
         console.log(countries.geometries[0].properties.descriptio);
      
      const rawHTML = countries.geometries[0].properties.descriptio
const doc = new DOMParser().parseFromString(rawHTML, "text/html");
const matches = [...doc.querySelectorAll('TD')]
  .map(style => style.textContent);
console.log(matches[3]); 
    })
  }, []);
  
  return data;
};